declare module '@typescript-eslint/utils' {
  export * from '@typescript-eslint/utils/dist/index';
}
declare module '@typescript-eslint/typescript-estree' {
  export * from '@typescript-eslint/typescript-estree/dist/index';
}
declare module '@typescript-eslint/type-utils' {
  export * from '@typescript-eslint/type-utils/dist/index';
}
declare module '@typescript-eslint/utils/eslint-utils' {
  export * from '@typescript-eslint/utils/dist/eslint-utils';
}
declare module '@typescript-eslint/utils/json-schema' {
  export * from '@typescript-eslint/utils/dist/json-schema';
}
declare module '@typescript-eslint/scope-manager' {
  export * from '@typescript-eslint/scope-manager/dist/index';
}
declare module '@typescript-eslint/types' {
  export * from '@typescript-eslint/types/dist/index';
}

declare module 'module' {
  export function _resolveFilename(
    request: string,
    parent: {
      /**
       * Can be null if the parent id is 'internal/preload' (e.g. via --require)
       * which doesn't have a file path.
       */
      filename: string | null;
    },
    isMain: boolean,
    options?: Record<PropertyKey, unknown>,
  ): string;
}
